__gnu_cxx::free_list Class Reference
Inheritance diagram for __gnu_cxx::free_list:
[legend]

## Public Types

typedef __mutex | __mutex_type
typedef vector_type::iterator | iterator
typedef size_t * | value_type
typedef __detail::__mini_vector< value_type > | vector_type

## Public Member Functions

void | _M_clear ()
size_t * | _M_get (size_t __sz) throw (std::bad_alloc)
void | _M_insert (size_t *__addr) throw ()

## Detailed Description

The free list class for managing chunks of memory to be given to and returned by the bitmap_allocator.

Definition at line 521 of file bitmap_allocator.h.

## Member Function Documentation

## _M_clear()

void __gnu_cxx::free_list::_M_clear | ( |  | ) |

This function just clears the internal Free List, and gives back all the memory to the OS.

## _M_get()

size_t* __gnu_cxx::free_list::_M_get | ( | size_t | __sz | ) |
throw | ( | std::bad_alloc
| ) |  |

This function gets a block of memory of the specified size from the free list.

Parameters

  __sz | The size in bytes of the memory required.

Returns
  A pointer to the new memory block of size at least equal to that requested.

## _M_insert()

void __gnu_cxx::free_list::_M_insert | ( | size_t * | __addr | ) |
throw | ( |
| ) |  |

inline

This function returns the block of memory to the internal free list.

Parameters

  __addr | The pointer to the memory block that was given by a call to the _M_get function.

Definition at line 631 of file bitmap_allocator.h.

The documentation for this class was generated from the following file:

- bitmap_allocator.h